<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/DocBook/Formatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.DocBook.Formatter</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">package <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../DocBook.html" >DocBook</a>.<a href="../DocBook.html" >DocBook</a>
</div><div class="class-name">class Formatter

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/DocBook/__init__.py.html" target="detail">../Synopsis/Formatters/DocBook/__init__.py</a></div> <div class="xref"><a href="../../../../../XRef/xref3.html#Synopsis.Formatters.DocBook.DocBook.Formatter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line553" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Formatter-inheritance" src="Formatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Formatter-inheritance_map" />
<map name="Formatter-inheritance_map"></map>
 <div class="doc">Generate a DocBook reference.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="markup_formatters">markup_formatters</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line556" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="title">title</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line560" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="nested_modules">nested_modules</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line561" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="generate_summary">generate_summary</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line562" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="hide_undocumented">hide_undocumented</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line563" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="inline_inherited_members">inline_inherited_members</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line564" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="secondary_index_terms">secondary_index_terms</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line565" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="with_inheritance_graphs">with_inheritance_graphs</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line566" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="graph_color">graph_color</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line567" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref3.html#Synopsis.Formatters.DocBook.DocBook.Formatter.process" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line569" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:00 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
